OID reference

vlanPortsTable

1.3.6.1.4.1.171.11.44.2.48.18

Description

For each VLAN (a ifIndex with a type of propVirtual(53)) an entry of this table specifies a set of ports, which it contains.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.171.11.44.2.48 (vlan)
Node code
18
Node name
vlanPortsTable
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.171.11.44.2.48.18
URN notation
urn:oid:1.3.6.1.4.1.171.11.44.2.48.18
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 171 11 44 2 48 18}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) d-link(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) company(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) my(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) nms(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) dlink(171) dlink-mgmt(11) des6300Product(44) rnd(2) vlan(48) vlanPortsTable(18)}
  • Additional combinations skipped.
OID-IRI notation
  • /1/3/6/1/4/1/171/11/44/2/48/18
  • /ISO/Identified-Organization/6/1/4/1/171/11/44/2/48/18
  • /ISO/3/6/1/4/1/171/11/44/2/48/18
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/dlink/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprise/d-link/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprise/company/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprise/my/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprise/nms/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprises/dlink/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprises/d-link/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprises/company/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprises/my/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/enterprises/nms/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/dlink/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/d-link/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/company/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/my/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/nms/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • /iso/identified-organization/dod/internet/private/vendor-objects/dlink/dlink-mgmt/des6300Product/rnd/vlan/vlanPortsTable
  • Additional combinations skipped.

SNMP properties

Value type
SEQUENCE OF VlanPortEntry
Maximum access defined by MIB
not-accessible
Status in MIB
mandatory

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

The displayed source records contain one distinct definition. Compare its source records.

vlanPortsTable  OBJECT-TYPE
    SYNTAX SEQUENCE OF VlanPortEntry
    ACCESS  not-accessible
    STATUS  mandatory
    DESCRIPTION
        "For each VLAN (a ifIndex with a type of propVirtual(53)) an entry
         of  this table specifies a set of ports, which it contains."
    ::= { vlan 18 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

For each VLAN (a ifIndex with a type of propVirtual(53)) an entry of this table specifies a set of ports, which it contains.

Sources for this description

D-Link official switch MIBs

See 1 matching source record

Evidence

Source records

1 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1D-Link official switch MIBs1 record · 1 source

Description 1

vlanPortsTable · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: vlanPortsTable

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "vlanPortsTable",
    "OBJECT-TYPE",
    "SYNTAX",
    "SEQUENCE",
    "OF",
    "VlanPortEntry",
    "ACCESS",
    "not-accessible",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"For each VLAN (a ifIndex with a type of propVirtual(53)) an entry of this table specifies a set of ports, which it contains.\"",
    "::=",
    "{",
    "vlan",
    "18",
    "}"
  ],
  "syntax_tree": [
    [
      "conceptualTable",
      [
        "row",
        "VlanPortEntry"
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "not-accessible"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "For each VLAN (a ifIndex with a type of propVirtual(53)) an entry of this table specifies a set of ports, which it contains."
    ],
    null,
    null,
    null,
    null
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: DLINK-RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download DlkApollo.mib

    Related source files and packages:

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.171)

Henry P. Nagai

Direct children (1)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.171.11.44.2.48.18.1 vlanPortEntry66

Siblings (25)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.171.11.44.2.48.1 vlanMibVersion00
1.3.6.1.4.1.171.11.44.2.48.2 vlanMaxTableNumber00
1.3.6.1.4.1.171.11.44.2.48.3 vlanSupportedType00
1.3.6.1.4.1.171.11.44.2.48.4 vlanPortAutoConfigSupport00
1.3.6.1.4.1.171.11.44.2.48.5 vlanLlcUserDefinedNum00
1.3.6.1.4.1.171.11.44.2.48.6 vlanEthUserDefinedNum00
1.3.6.1.4.1.171.11.44.2.48.7 vlanEthUserDefinedMaskSupport00
1.3.6.1.4.1.171.11.44.2.48.8 vlanIpxSeparatedVlansSupport00
1.3.6.1.4.1.171.11.44.2.48.9 vlanTaggingType00
1.3.6.1.4.1.171.11.44.2.48.10 vlanFirstUnusedTag00
1.3.6.1.4.1.171.11.44.2.48.11 vlanAutoConfAgingTimeout00
1.3.6.1.4.1.171.11.44.2.48.13 vlanPreDefProtTable12
1.3.6.1.4.1.171.11.44.2.48.14 vlanEthUserDefProtTable16
1.3.6.1.4.1.171.11.44.2.48.15 vlanLlcUserDefProtTable16
1.3.6.1.4.1.171.11.44.2.48.16 vlanStatusTable13
1.3.6.1.4.1.171.11.44.2.48.17 vlanTable110
1.3.6.1.4.1.171.11.44.2.48.19 vlanAutoConfTable14
1.3.6.1.4.1.171.11.44.2.48.20 vlanSupportedTypeAfterReset00
1.3.6.1.4.1.171.11.44.2.48.21 vlanNameTable14
1.3.6.1.4.1.171.11.44.2.48.22 vlanPortModeTable12
1.3.6.1.4.1.171.11.44.2.48.23 rlDefaultVlanEnable00
1.3.6.1.4.1.171.11.44.2.48.24 rlDefaultVlanTag00
1.3.6.1.4.1.171.11.44.2.48.25 rlDefaultVlanSupported00
1.3.6.1.4.1.171.11.44.2.48.26 vlanTagToIfIndexTable13
1.3.6.1.4.1.171.11.44.2.48.28 rlDefaultVlanExcludePorts00